<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 3.2//EN">
<HTML>
<HEAD>
<Title> Tango Device Server User's Guide </Title>
   <META NAME="GENERATOR" CONTENT="Mozilla/3.01Gold (X11; I; HP-UX B.10.20 9000/735) [Netscape]">
   <LINK HREF="doxygen.css" REL="stylesheet" TYPE="text/css">
</HEAD>
<BODY TEXT="#000000" BGCOLOR="#FFFFFF" LINK="#0000FF" VLINK="#FF0000" ALINK="#FF0000">

<P><!-------TITLE------></P>

<P><IMG SRC="http://www.esrf.fr/gifs/logo/80.gif" 
		ALT="ESRF Logo" ALIGN=RIGHT>
</P>
<Br>

<H1>
<FONT COLOR="#0000FF"><FONT SIZE=+4>E</FONT></FONT><FONT SIZE=+1>UROPEAN</FONT>
<FONT COLOR="#0000FF"><FONT SIZE=+4>S</FONT></FONT><FONT SIZE=+1>YNCHROTRON</FONT>
<FONT COLOR="#0000FF"><FONT SIZE=+4>R</FONT></FONT><FONT SIZE=+1>ADIATION</FONT>
<FONT COLOR="#0000FF"><FONT SIZE=+4>F</FONT></FONT><FONT SIZE=+1>ACILITY</FONT></H1>

<Br>
<H5>INSTALLATION EUROPEENNE DE RAYONNEMENT SYNCHROTRON<BR>

<Br>

<!-- Generated by Doxygen 1.2.14 -->
<center>
<a class="qindex" href="main.html">Main Page</a> &nbsp; <a class="qindex" href="namespaces.html">Namespace List</a> &nbsp; <a class="qindex" href="classes.html">Alphabetical List</a> &nbsp; <a class="qindex" href="annotated.html">Compound List</a> &nbsp; <a class="qindex" href="files.html">File List</a> &nbsp; <a class="qindex" href="namespacemembers.html">Namespace Members</a> &nbsp; <a class="qindex" href="functions.html">Compound Members</a> &nbsp; <a class="qindex" href="globals.html">File Members</a> &nbsp; </center>
<hr><h1>Starter1.cpp File Reference</h1><code>#include &lt;sys/wait.h&gt;</code><br>
<code>#include &lt;stdio.h&gt;</code><br>
<code>#include &lt;errno.h&gt;</code><br>
<code>#include &lt;sys/types.h&gt;</code><br>
<code>#include &lt;sys/stat.h&gt;</code><br>
<code>#include &lt;fcntl.h&gt;</code><br>
<code>#include &lt;signal.h&gt;</code><br>
<code>#include &lt;tango.h&gt;</code><br>
<code>#include &lt;<a class="el" href="StarterUtil_8h-source.html">StarterUtil.h</a>&gt;</code><br>
<code>#include &lt;<a class="el" href="Starter_8h-source.html">Starter.h</a>&gt;</code><br>
<code>#include &lt;<a class="el" href="StarterClass_8h-source.html">StarterClass.h</a>&gt;</code><br>
<table border=0 cellpadding=0 cellspacing=0>
<tr><td colspan=2><br><h2>Namespaces</h2></td></tr>
<tr><td nowrap align=right valign=top>namespace &nbsp;</td><td valign=bottom><a class="el" href="namespaceStarter.html">Starter</a></td></tr>
<tr><td colspan=2><br><h2>Defines</h2></td></tr>
<tr><td nowrap align=right valign=top>#define&nbsp;</td><td valign=bottom><a class="el" href="Starter1_8cpp.html#a0">DECLARE_TIME_VAR</a>&nbsp;&nbsp;&nbsp;struct timeval	before, after;</td></tr>
<tr><td nowrap align=right valign=top>#define&nbsp;</td><td valign=bottom><a class="el" href="Starter1_8cpp.html#a1">GET_TIME</a>(t)&nbsp;&nbsp;&nbsp;gettimeofday(&amp;t, NULL);</td></tr>
<tr><td nowrap align=right valign=top>#define&nbsp;</td><td valign=bottom><a class="el" href="Starter1_8cpp.html#a2">ELAPSED</a>(before, after)</td></tr>
<tr><td colspan=2><br><h2>Variables</h2></td></tr>
<tr><td nowrap align=right valign=top>const char *&nbsp;</td><td valign=bottom><a class="el" href="Starter1_8cpp.html#a3">RcsId</a> = "$Header: /cvsroot/tango-cs/tango/cppserver/starter/doc_html/html/Starter1_8cpp.html,v 1.1 2003/10/08 09:18:03 pascal_verdier Exp $"</td></tr>
</table>
<hr><h2>Define Documentation</h2>
<a name="a0" doxytag="Starter1.cpp::DECLARE_TIME_VAR"></a><p>
<table width="100%" cellpadding="2" cellspacing="0" border="0">
  <tr>
    <td class="md">
      <table cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td class="md" nowrap valign="top"> #define DECLARE_TIME_VAR&nbsp;&nbsp;&nbsp;struct timeval	before, after;
      </table>
    </td>
  </tr>
</table>
<table cellspacing=5 cellpadding=0 border=0>
  <tr>
    <td>
      &nbsp;
    </td>
    <td>

<p>
    </td>
  </tr>
</table>
<a name="a2" doxytag="Starter1.cpp::ELAPSED"></a><p>
<table width="100%" cellpadding="2" cellspacing="0" border="0">
  <tr>
    <td class="md">
      <table cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td class="md" nowrap valign="top"> #define ELAPSED</td>
          <td class="md" valign="top">(&nbsp;</td>
          <td class="md" nowrap valign="top">before,         <tr>
          <td></td>
          <td></td>
          <td class="md" nowrap>after&nbsp;</td>
          <td class="mdname1" valign="top" nowrap>&nbsp;          </td>
          <td class="md" valign="top">)&nbsp;</td>
          <td class="md" nowrap>
      </table>
    </td>
  </tr>
</table>
<table cellspacing=5 cellpadding=0 border=0>
  <tr>
    <td>
      &nbsp;
    </td>
    <td>

<p>
<b>Value:</b><div class="fragment"><pre>1000.0*(after.tv_sec-before.tv_sec) + \
        (double) (after.tv_usec-before.tv_usec) / 1000;</pre></div>    </td>
  </tr>
</table>
<a name="a1" doxytag="Starter1.cpp::GET_TIME"></a><p>
<table width="100%" cellpadding="2" cellspacing="0" border="0">
  <tr>
    <td class="md">
      <table cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td class="md" nowrap valign="top"> #define GET_TIME</td>
          <td class="md" valign="top">(&nbsp;</td>
          <td class="md" nowrap valign="top">t&nbsp;</td>
          <td class="mdname1" valign="top" nowrap>&nbsp;          </td>
          <td class="md" valign="top">)&nbsp;</td>
          <td class="md" nowrap>&nbsp;&nbsp;&nbsp;gettimeofday(&amp;t, NULL);
      </table>
    </td>
  </tr>
</table>
<table cellspacing=5 cellpadding=0 border=0>
  <tr>
    <td>
      &nbsp;
    </td>
    <td>

<p>
    </td>
  </tr>
</table>
<hr><h2>Variable Documentation</h2>
<a name="a3" doxytag="Starter1.cpp::RcsId"></a><p>
<table width="100%" cellpadding="2" cellspacing="0" border="0">
  <tr>
    <td class="md">
      <table cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td class="md" nowrap valign="top"> const char* RcsId = "$Header: /cvsroot/tango-cs/tango/cppserver/starter/doc_html/html/Starter1_8cpp.html,v 1.1 2003/10/08 09:18:03 pascal_verdier Exp $"<code> [static]</code>
      </table>
    </td>
  </tr>
</table>
<table cellspacing=5 cellpadding=0 border=0>
  <tr>
    <td>
      &nbsp;
    </td>
    <td>

<p>
    </td>
  </tr>
</table>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 3.2//EN">
<HTML>
<HEAD>
<Title> Tango Device Server User's Guide </Title>
   <META NAME="GENERATOR" CONTENT="Mozilla/3.01Gold (X11; I; HP-UX B.10.20 9000/735) [Netscape]">
</HEAD>
<BODY TEXT="#000000" BGCOLOR="#FFFFFF" LINK="#0000FF" VLINK="#FF0000" ALINK="#FF0000">

<P><!-------TITLE------></P>

<Center>
<Br>
<HR WIDTH="100%"></H5>
<H3>(c) ESRF - Software Engineering Group </H33>
</Center>
